Перейти к содержанию
andreaspid

Hello from Greece - product options issue

Рекомендуемые сообщения

Hello my friends

My name is Andreas and i am writing to ur forum cause i couldn't find any answer to greek or english forum...

I have a major problem with my eshop which is oc 1.5.1.3

The problem is that i can't procceed to checkout after step 5... i get this error in my browser "SyntaxError: Unexpected token <" ....

i looked the console in firebug and get this warning

Warning: json_encode() [function.json-encode]: Invalid UTF-8 sequence in argument in /Applications/MAMP/htdocs/fairytale/catalog/controller/checkout/confirm.php on line 363{"output":null}

This problem happens only with products that have options.... these products only appear to cart if i refresh the page and they have this questionmark at the end http://screencast.com/t/ai5qNyZnG

Can u pls help me?

Thanks a lot brothers

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

hi,

guess, you have to replace all below function-names

strrpos
substr
strlen

to utf8-variations

utf8_strrpos
utf8_substr
utf8_strlen

as you can see - the same functions names but with a prefix "utf8_" at the beginning.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Hello afwollis and thanks for ur willing to help me

Can u pls tell me in which files should i put this prefix?

Also i attached u a video of my scrreen to check the exact problem

Thanks

ScreenFlow.mp4.zip

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

check browser console if there the same (similar) problem with adding to cart.

if so (and I guess it is) - you'll have to do that changes (and some more with other php's string functions) in ALL *.php files.

it caused by partial utf8 support in your version of opencart.

BUT !!!

if you're just starting to get acquainted with opencart - use Opencart_v_1.5.4.1.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

afwollis the strange thing is that yesterday i made an upgrade of my opencart version locally not to live site to version 1.5.4.1 but i had the exact same problem....

i am a beginner to opencart and really have problem to correct my issue...

do u have any other suggestions brother?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Andreas, I've PM`ed you yesterday.

did you get that message?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.